Subject: [Kernel-janitors] Re: [patch 1/8] irda/act200l-sir: replace schedule_timeout() with msleep()

From: maximilian attems <[email-masked]>
Date: Wed, 1 Sep 2004 23:40:03 +0200

On Wed, 01 Sep 2004, Jean Tourrilhes wrote:

> On Wed, Sep 01, 2004 at 11:05:23PM +0200, [email-masked] wrote:
> > I would appreciate any comments from the janitor@sternweltens list. 
uups mangled some text there sorry for this silly email.
> 
> 	I already commented that I don't like the confusing msleep()
> API and I prefer the more explicit schedule_timeout().
> 	But that's only me...
> 
> 	Jean

hmm we have still archs were HZ < 100.
i find msleep use msecs units a lot more readable than
	schedule_timeout((HZ + 99) / 100);

the schedule_timeout(HZ/100) gets safely converted with msleep.

--
maks
kernel janitor  	http://janitor.kernelnewbies.org/

_______________________________________________
Kernel-janitors mailing list
[email-masked]
http://lists.osdl.org/mailman/listinfo/kernel-janitors